label { font-weight: bold; }
.padding-10 { padding: 10px; }
.padding-0 { padding: 0px; }

.verify-border-shadow-bg
{
	border: solid 1px #999;
	-moz-box-shadow: -3px 3px 3px #aaa;
	-webkit-box-shadow: -3px 3px 3px #aaa;
	box-shadow: -3px 3px 3px #aaa;
}
.verify-shadow
{
	-moz-box-shadow: -3px 3px 3px #aaa;
	-webkit-box-shadow: -3px 3px 3px #aaa;
	box-shadow: -3px 3px 3px #aaa;
}

#library_types, #library_types_assigned { height: 423px; }
#library_types_body, #library_types_assigned_body { height: 350px; padding-bottom: 15px; overflow-y: scroll;}
#library_types_list, #library_types_assigned_list { list-style-type: none; margin: 0; padding: 0; margin-bottom: 10px; }

#library_types_assigned_list { min-height: 300px; max-width: 650px; }
#library_types_list li, #library_types_assigned_list li { margin: 5px; padding: 5px; max-width: 650px; cursor: pointer; cursor: hand; }

.library-types-active { list-style-type: none; margin: 5px; padding: 5px; min-width: 400px; }


.dashboard-header
{
	background-color: #5FA2DD;
	border: solid 2px #333;
	border-radius: 5px;
	text-align: center;
	padding-bottom: 10px;
}

.dashboard-boxes
{
	background-color: #5FA2DD;
	border: solid 2px #333;
	border-radius: 5px;
	padding-top: 15px;
	padding-bottom: 15px;
	margin-top: 15px;
	margin-bottom: 15px;
	text-align: center;
}

.dashboard-boxes-title
{
	font-size: 16px;
	font-weight: bold;
	display: block;
}

.dashboard-boxes-content
{
	font-size: 18px;
	display: block;
}

@media (min-width: 992px)
{
	.col-md-3-treatment-resize
	{
		width: 22%;
		margin-left: 2.5%;
	}
}
.margin-lr-10
{
	margin-left: 10px;
	margin-right: 10px;
}

.margin-top-10
{
	margin-top: 10px;
}

.margin-top-15
{
	margin-top: 15px;
}

.margin-ajax-error
{
	margin-left: 0px;
	margin-right: 0px;
	margin-bottom: 15px;
}

#ajax_error
{
	display: none;
	font-weight: bold;
}

.red {color: red !important;}

/* PODS */
.pod-wrapper{width: 410px; height: 300px; background-color: #fff; border: solid 1px #333; border-radius: 10px; float: left; margin: 10px;}

.pod-header{width: 408px; height: 40px; background-color: #5fa2dd; color: #fff; border-radius: 10px 10px 0px 0px;}
.pod-title{width: 330px; float: left; font-weight: bold; font-size: 13px; padding: 10px 10px;}

.pod-buttons{width: 70px; height: 40px; float: right;}
.pod-buttons a {color: #fff;}
.pod-edit{float: left; font-size: 15px; padding: 9px;}
.pod-delete{float: left; font-size: 15px; padding: 9px;}

.pod-body{width: 410px; height: 180px;}
.pod-column{width: 400px;}

.left-pod-column{width: 190px; height: 170px; float: left; padding: 10px 0px 10px 10px;}
.left-pod-column-field{width: 170px; height: 17px; margin: 5px 0px;}
.left-field-name{width: 100px; height: 15px; float: left;}
.left-field-value{width: 50px; height: 15px; float: left; text-align: left;}

.right-pod-column{width: 190px; height: 170px; float: left; padding: 10px 10px 10px 0px;}
.right-pod-column-field{width: 200px; height: 17px; margin: 5px 0px;}
.right-field-name{width: 140px; height: 15px; float: left; text-align: right;}
.right-field-value{width: 50px; height: 15px; float: left; text-align: left; margin-left: 5px;}

.treatment-pod-column{width: 392px; height: 40px; float: left; margin: 10px 0px 0px 8px; border: solid 1px #333; border-collapse: collapse;}
.treatment-column{width: 65px; height: 40px; float: left;}
.treatment-name{width: 65px; height: 20px; float: left; background-color: #ccc; text-align: center;}
.treatment-value{width: 65px; height: 20px; float: left; border: solid 1px #333; border-collapse: collapse; text-align: center;}

.pod-footer{width: 389px; height: 35px; clear: both; padding: 10px 15px; margin-left: 10px; text-align: center;}

.dt-buttons {float: right !important; margin-left: 10px;}
.dataTables_length {float: left !important;}

#page-description {
  padding: 0px 20px 10px 25px;
  width: 100%;
  font-size: 0.9em;
}

/* analyzer pod styles */
.analyzer-pod-container {background-color: #fff !important; border: solid 1px #ccc; padding: 0px !important; margin: 15px 3px 0px 3px;}
.analyzer-pod-header-container {background-color: #5FA2DD; padding: 5px; height: 35px;}
.analyzer-pod-title {font-size: 18px; font-weight: normal; color: #f3f3f3; float: left;}
.analyzer-pod-button-container {float: right; }
.analyzer-pod-button {color: #f3f3f3; float: right; margin: 2px 5px; font-size: 16px;}
.analyzer-pod-button i:hover {color: #d3d3d3;}
.analyzer-pod-body {background-color: #fff !important; padding: 5px; font-size: 30px; font-weight: bold; text-align: center; height: 150px;}
.analyzer-pod-subtitle {font-size: 18px; font-weight: normal; color: #000; clear: both;}
.analyzer-pod-subbody {font-size: 140%; font-weight: bold; text-align: center; margin: 20px 0px;}
#analyzer_pod_chart_type_container {display: none;}
.analyzer-pod-loading {background-color: #000;}

.panel-progress
{
	width: 100%;
	height: 100%;
	background-color: rgba(0, 0, 0, 0.95);
	text-align: center;
	/*z-index: 100 !important;*/
	position: absolute;
	top: 0;
	left: 0;
	vertical-align: middle;
}

.panel-progress > span {
	display: inline-block;
	vertical-align: middle;
	position: relative;
	width: 50px;
	height: 50px;
	top: 50%;
	margin-top: -25px;
	color: #fff;
	font-size: 4em;
	-webkit-animation: spin 4s linear infinite;
	-moz-animation: spin 4s linear infinite;
	animation: spin 4s linear infinite;
}

@-moz-keyframes spin { 100% { -moz-transform: rotate(360deg); } }
@-webkit-keyframes spin { 100% { -webkit-transform: rotate(360deg); } }
@keyframes spin { 100% { -webkit-transform: rotate(360deg); transform:rotate(360deg); } }

/* Make Stripe element behave like input */
.stripe-input {
    align-items: center;
    height: 35px; /* match your inputs */
    padding: 6px 12px;
    background-color: #fff;
    border: 1px solid #e9e9e9;
    border-radius: 4px;
    box-shadow: none;
    transition: all 0.2s ease;
}

/* Focus state (Bootstrap/Nifty style) */
.stripe-input.focused {
    border-color: #66afe9;
    box-shadow: 0 0 6px rgba(102, 175, 233, 0.6);
}

/* Error state */
.stripe-input.error {
    border-color: #dc3545;
}

/* Disabled look */
.stripe-input.disabled {
    background-color: #eee;
    cursor: not-allowed;
}

.stripe-input iframe {
    margin-top: 2px;
}